/* 
 * i-scream central monitoring system
 * http://www.i-scream.org
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.server.core;

//---IMPORTS---

/**
 * The LoggerImpl is an interface which any implementation for the
 * Logging system should implement. This ensures that it fits in
 * with the LoggerServant which will be attached to the CORBA system.
 *
 * @author  $Author: tdb $
 * @version $Id: LoggerImpl.java,v 1.10 2004/08/01 10:40:54 tdb Exp $
 */
public interface LoggerImpl {

//---FINAL ATTRIBUTES---

//---STATIC METHODS---

//---CONSTRUCTORS---

//---PUBLIC METHODS---

    /**
	 * The write() method takes a line of text, pre-formatted
	 * and outputs it using a method defined by the actual
	 * implementation. The verbosity is given in case the
	 * implementation wishes to utilise it in the layout -
	 * eg. a different colour or font.
	 * 
	 * @param line A line of formatted text to be logged
	 * @param verbosity the verbosity of this message
	 */   
    public void write(String line, int verbosity);
    
//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

//---ATTRIBUTES---

//---STATIC ATTRIBUTES---

}

